#include "chess.h"
/* global variables */
FILE *fopen();
char output_file_name[128]="";
char title[128]="CHESS in ...";
char path_to_gifs[128]="../set";

void usage(char *arg) {
  fprintf(stderr, "prints a header for chess/checkers HTML file\n");
  fprintf(stderr,"usage: %s [[-o] output_file] [-t title] [-p path_to_gifs]",arg);
  exit(100);
}

int main(int argc, char *argv[])
{
  int i;
  int waiting=0;
  FILE *fout;

  for (i=1;i<argc;i++) {
    switch (waiting) {
    case 0: if(argv[i][0]=='-') {
      switch (toupper(argv[i][1])) {
      case 'O': waiting=OUTPUT; break;
      case 'P': waiting=PATH; break;
      case 'T': waiting=TITLE; break;
      default: usage(argv[0]);break;
      } /* switch argv[i][1] */
    } else {
      if (output_file_name[0]) usage(argv[0]);
      strcpy(output_file_name,argv[i]);
    };
    break;
    case TITLE:
      strcpy(title,argv[i]);
      waiting=0;
      break;
    case PATH: strcpy(path_to_gifs,argv[i]);
      waiting=0;
      break;
    case OUTPUT: if (output_file_name[0]) usage(argv[0]);
      strcpy(output_file_name,argv[i]);
      waiting=0;
      break;
    default: usage(argv[0]);break;
    } /* switch waiting */
  } /* for */
  if (waiting) usage(argv[0]);
  if (strcmp(output_file_name,"")) {
    if ((fout = fopen(output_file_name, "w")) == NULL) {
      fprintf(stderr, "Can't open %s for writing\n",output_file_name);
      exit(2);
    };
  } else {
    fout=stdout;
  };
  fprintf(fout,"<HTML><HEAD><TITLE>%s</TITLE></HEAD><BODY ",title);
  fprintf(fout,"BACKGROUND=%s/cubes.gif TEXT=#000000 BGCOLOR=#FFFFFF>\n\n",path_to_gifs);
  fclose(fout);
  return 0;
} /* main */

