#include "chess.h"
/* global variables */
FILE *fopen();
char output_file_name[128]="";
char title[128]="CHESS in ...";

void usage(char *arg) {
  fprintf(stderr, "prints a footer for chess/checkers HTML file\n");
  fprintf(stderr,"usage: %s [[-o] output_file]",arg);
  exit(100);
}

int main(int argc, char *argv[]) {
  int i;
  int waiting=0;
  FILE *fout;

  for (i=1;i<argc;i++) {
    switch (waiting) {
    case 0: if(argv[i][0]=='-') {
      switch (toupper(argv[i][1])) {
      case 'O': waiting=OUTPUT; break;
      default: usage(argv[0]);break;
      }; /* switch argv[i][0] */
    } else {
      if (output_file_name[0]) usage(argv[0]);
      strcpy(output_file_name,argv[i]);
    };
    break;
    case OUTPUT: if (output_file_name[0]) usage(argv[0]);
      strcpy(output_file_name,argv[i]);
      waiting=0;
      break;
    default: usage(argv[0]);break;
    } /* switch waiting */
  } /* for */
  if (waiting) usage(argv[0]);
  if (strcmp(output_file_name,"")) {
    if ((fout = fopen(output_file_name, "r")) == NULL) {
      fprintf(stderr, "Can't find %s; use cheshead to create\n",output_file_name);
      exit(2);
    };
    fclose(fout);
    if ((fout = fopen(output_file_name, "a")) == NULL) {
      fprintf(stderr, "Can't open %s for writing\n",output_file_name);
      exit(2);
    };
  } else {
    fout=stdout;
  };
  fprintf(fout,"</BODY></HTML>\n");
  fclose(fout);
  return 0;
} /* main */

